package com.cyl.manager.staff.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cyl.manager.staff.domain.DispatchOrder;

/**
 * <p>
 * 派单信息 服务类
 * </p>
 *
 * @author 谷瑶
 * @since 2025-01-04
 */
public interface IDispatchOrderService extends IService<DispatchOrder> {


    /**
     * 进行派单
     * @param id
     */
    void dispatch(Long id);

    /**
     * 接受派单
     * @param dispatchOrderId
     * @return
     */
    boolean acceptDispatch(String dispatchOrderId);

    /**
     * 拒单
     * @param dispatchOrderId
     * @return
     */
    boolean rejectDispatch(String dispatchOrderId);

    /**
     * 订单过期
     */
    void expire(String dispatchOrderId);

    /**
     * 30分钟提醒
     * @param dispatchOrderId
     */
    void nextAlert(String dispatchOrderId);
}
